Subject: Re: [Deb-dev] [FEniCS-dev] Build time bugs in syfi and segfaults in dolfin

From: "Johannes Ring" <[email-masked]>
Date: Thu, 12 Feb 2009 12:20:53 +0100 (CET)

On Wed, February 11, 2009 22:18, Balbir Thomas wrote:
> Another potential problem with the Build-Depends line is the fact that it
> has "python-all". However on all current deb based distributions
> "python-all" includes python2.4 (even on lenny). But Fenics is not
> compatible with python2.4 as far as I know since it uses additions to
> python
> since python2.5 such as set functions "any", "all" and lexical elements
> such
> as generators etc. I believe python-all must be replaced by python (>=2.5)
> on the build depends line.

I think it is common when using python-central to build depend on
python-all and then set XS-Python-Version to the required version. For
DOLFIN this is set to >= 2.5.

Johannes